Subject: Re: 23.0.60; emacsclient -t inserts one char when pressing an arrow key

From: Tassilo Horn <[email-masked]>
Date: Thu, 28 Aug 2008 22:01:07 +0200

Chong Yidong <[email-masked]> writes:

Hi!

>> 1. Start emacs -Q
>> 2. eval (server-start)
>> 3. from a terminal, invoke emacsclient -t some-file
>> 4. Press <left>, <right>, <up> or <down>
>>
>> The first keypress of an arrow key after the emacsclient invokation
>> inserts one D, C, A or B.  The next press moves point as expected.
>> With emacsclient -c this does not happen.
>
> Thanks.  I can reproduce this too.  Do you know whether or not this
> problem only appeared recently?

No, sorry.  Normally I use emacsclient -c all the time.  But since
nobody has reported it before, I'd say the problematic change shouldn't
be too old.

Bye,
Tassilo
-- 
Richard Stallman can coerce meaningful data from /dev/null.